# List partner public keys Lists partner public keys for a TMC. Accessible to TMC, company, and global admins. Endpoint: GET /v2/companies/{companyId}/partner-public-keys Version: v2 Security: Bearer ## Path parameters: - `companyId` (string, required) Organization identifier. Example: "4974a66b-7493-4f41-908c-58ba81093947" ## Query parameters: - `status` (string) Filter keys by status. Defaults to ACTIVE. Enum: "ACTIVE", "REVOKED" ## Response 200 fields (application/json): - `keys` (array) List of partner public keys. - `keys.id` (string) Unique identifier for the key. - `keys.orgId` (string) Organization this key is scoped to. - `keys.kid` (string) Key ID extracted from the JWK. - `keys.status` (string) Key status. Enum: "ACTIVE", "REVOKED" - `keys.createdAt` (string) Timestamp when the key was created. - `keys.thumbprint` (string) RFC 7638 JWK thumbprint (base64url SHA-256 of canonical key material). Use this to verify the correct key was registered. ## Response 401 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 403 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error.